Vector BLF: Vector::BLF::CanMessage2 Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::CanMessage2 Struct Referencefinal

CAN_MESSAGE2. More...

`#include <CanMessage2.h>`

Inheritance diagram for Vector::BLF::CanMessage2:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | channel {}
| application channel
uint8_t | flags {}
| CAN dir & rtr.
uint8_t | dlc {}
| CAN dlc.
uint32_t | id {}
| CAN ID.
std::vector< uint8_t > | data {}
| CAN data.
uint32_t | frameLength {}
| message length in ns
uint8_t | bitCount {}
| complete message length in bits
uint8_t | reservedCanMessage1 {}
uint16_t | reservedCanMessage2 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

CAN_MESSAGE2.

CAN data or CAN remote frame received or transmitted on a CAN channel.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::CanMessage2::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::CanMessage2::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::CanMessage2::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ bitCount

uint8_t Vector::BLF::CanMessage2::bitCount {}

complete message length in bits

Total number of bits of the message including EOF and Interframe space [in bits]

## ◆ channel

uint16_t Vector::BLF::CanMessage2::channel {}

application channel

Channel the frame was sent or received.

## ◆ data

std::vector<uint8_t> Vector::BLF::CanMessage2::data {}

CAN data.

CAN data bytes

## ◆ dlc

uint8_t Vector::BLF::CanMessage2::dlc {}

CAN dlc.

Data length code of frame (number of valid data bytes, max. 8)

## ◆ flags

uint8_t Vector::BLF::CanMessage2::flags {}

CAN dir & rtr.

CAN Message Flags

CAN dir, rtr, wu & nerr encoded into flags:

- Bit 0: TX
- Bit 5: NERR
- Bit 6: WU
- Bit 7: RTR

## ◆ frameLength

uint32_t Vector::BLF::CanMessage2::frameLength {}

message length in ns

Message duration [in ns]. Not including 3 Interframe Space bit times and by Rx-messages also not including 1 End-Of-Frame bit time

## ◆ id

uint32_t Vector::BLF::CanMessage2::id {}

CAN ID.

Frame identifier.

## ◆ reservedCanMessage1

uint8_t Vector::BLF::CanMessage2::reservedCanMessage1 {}

reserved

## ◆ reservedCanMessage2

uint16_t Vector::BLF::CanMessage2::reservedCanMessage2 {}

reserved

The documentation for this struct was generated from the following files:

- CanMessage2.h
- CanMessage2.cpp